## epub-tools 0.1.1-10

=== src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /targets/FREMANTLE_X86/usr/bin/cmake

# The command to remove a file.
RM = /targets/FREMANTLE_X86/usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/juhana/MyDocs/epub-tools-0.1.1

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/juhana/MyDocs/epub-tools-0.1.1

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/targets/FREMANTLE_X86/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/targets/FREMANTLE_X86/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/targets/FREMANTLE_X86/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/targets/FREMANTLE_X86/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/juhana/MyDocs/epub-tools-0.1.1 && $(CMAKE_COMMAND) -E cmake_progress_start /home/juhana/MyDocs/epub-tools-0.1.1/CMakeFiles /home/juhana/MyDocs/epub-tools-0.1.1/src/CMakeFiles/progress.make
	cd /home/juhana/MyDocs/epub-tools-0.1.1 && $(MAKE) -f CMakeFiles/Makefile2 src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/juhana/MyDocs/epub-tools-0.1.1/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/juhana/MyDocs/epub-tools-0.1.1 && $(MAKE) -f CMakeFiles/Makefile2 src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/juhana/MyDocs/epub-tools-0.1.1 && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/juhana/MyDocs/epub-tools-0.1.1 && $(MAKE) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/juhana/MyDocs/epub-tools-0.1.1 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/juhana/MyDocs/epub-tools-0.1.1 && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
epub-tools (0.1.1-10) unstable; urgency=low

   Fixed dependancies. 

 -- Juhana Jauhiainen <juhana.jauhiainen@gmail.com>  Wed, 26 May 2010 20:42:36 +0300

=== debian/control ===
Source: epub-tools
Priority: optional
Maintainer: Juhana Jauhiainen <juhana.jauhiainen@gmail.com>
Build-Depends: debhelper (>= 5), cmake (>= 2.6), libxml2-dev, libzip-dev
Standards-Version: 3.8.1
Section: libs

Package: libepub-dev
Section: libdevel
Architecture: any
Depends: libepub0 (= ${binary:Version}), libzip-dev, libxml2-dev
Description: library and tools to work with the EPub file format
 The ebook-tools provide ways for accessing and converting different
 ebook file formats.
 .
 This C library is free and portable. It includes methods to parse
 EPub files and extract their contents.
 .
 This package includes development headers and libraries.

Package: libepub0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library and tools to work with the EPub file format
 The ebook-tools provide ways for accessing and converting different
 ebook file formats.
 .
 This C library is free and portable. It includes methods to parse
 EPub files and extract their contents.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cmake . -DCMAKE_INSTALL_PREFIX=/usr
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f CMakeCache.txt
	rm -f cmake_install.cmake
	rm -f doxy.config
	rm -f install_manifest.txt
	rm -f -R CMakeFiles
	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/libepub0 install
#	$(MAKE) DESTDIR=$(CURDIR)/debian/libepub-dev install
	mkdir $(CURDIR)/debian/libepub-dev/usr
	mv $(CURDIR)/debian/libepub0/usr/include $(CURDIR)/debian/libepub-dev/usr/
#	$(MAKE) DESTDIR=$(CURDIR)/debian/libepub-dev install
#	rm -R -f $(CURDIR)/debian/libepub-dev/usr/lib	
	#rm -R -f $(CURDIR)/debian/libepub-dev/usr/bin	
	#cp $(CURDIR)/debian/tmp/usr/local $(CURDIR)/debian/libepub-dev/usr/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	install -m644 $(CURDIR)/debian/shlibs $(CURDIR)/debian/libepub0/DEBIAN/
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
